zabbix_export:
  version: '6.0'
  date: '2023-04-11T12:59:01Z'
  groups:
    -
      uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
    -
      uuid: 9f26434b366840b29192aae350428ff6
      name: Templates/QoE
  templates:
    -
      uuid: d7fbfa5b88ab4e0b9eaba4a79ea4a84d
      template: 'Template QoE ICMP Targets'
      name: 'Template QoE ICMP Targets (Active Agent)'
      description: |
        Desenvolvido .
      groups:
        -
          name: Templates
        -
          name: Templates/QoE
      discovery_rules:
        -
          uuid: b9706731ef6843d69b771dc9d11d346e
          name: 'IPv4 ICMP Monitoring'
          type: ZABBIX_ACTIVE
          key: 'system.run[/opt/scripts-zabbix/qoe/lld-icmp-response.sh "{$HOST.IPV4}"]'
          delay: 1h
          item_prototypes:
            -
              uuid: 8f22df116674414fa9bf3bf8206b905a
              name: 'Average RTT IPv4: {#ALIAS} ({#HOST})'
              type: DEPENDENT
              key: 'average.rtt.v4[{#HOST}]'
              delay: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                -
                  type: REGEX
                  parameters:
                    - '(.*), min\/avg\/max = (.*)\/(.*)\/(.*)'
                    - \3
                  error_handler: DISCARD_VALUE
              master_item:
                key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 4 3]'
              tags:
                -
                  tag: 'qoe icmp ipv4 targets'
                  value: '{#ALIAS}'
                -
                  tag: 'qoe type'
                  value: icmp
                -
                  tag: 'qoe type by protocol'
                  value: 'icmp ipv4'
            -
              uuid: 5a3c294417fc46e4b71549d372834598
              name: 'Address IPv4: {#ALIAS} ({#HOST})'
              type: DEPENDENT
              key: 'ip.address.v4[{#HOST}]'
              delay: '0'
              trends: '0'
              value_type: TEXT
              preprocessing:
                -
                  type: REGEX
                  parameters:
                    - '(([0-9a-fA-F.:]+)|[^\s]+) (([0-9a-fA-F.:]+)|[^\s]+) : xmt\/rcv\/%loss = ([0-9]+)\/([0-9]+)\/([0-9]+)%(, min\/avg\/max = (.*)\/(.*)\/(.*))?'
                    - \3
                  error_handler: CUSTOM_VALUE
                  error_handler_params: 'domain not resolved'
                -
                  type: RTRIM
                  parameters:
                    - )
                -
                  type: LTRIM
                  parameters:
                    - (
              master_item:
                key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 4 3]'
              tags:
                -
                  tag: 'qoe icmp ipv4 targets'
                  value: '{#ALIAS}'
                -
                  tag: 'qoe type'
                  value: icmp
                -
                  tag: 'qoe type by protocol'
                  value: 'icmp ipv4'
            -
              uuid: 6b865778ea0c401897301bcdfe294db6
              name: 'Packet loss IPv4: {#ALIAS} ({#HOST})'
              type: DEPENDENT
              key: 'packet.loss.v4[{#HOST}]'
              delay: '0'
              units: '%'
              preprocessing:
                -
                  type: REGEX
                  parameters:
                    - '(([0-9a-fA-F.:]+)|[^\s]+) (([0-9a-fA-F.:]+)|[^\s]+) : xmt\/rcv\/%loss = ([0-9]+)\/([0-9]+)\/([0-9]+)%(, min\/avg\/max = (.*)\/(.*)\/(.*))?'
                    - \7
                  error_handler: DISCARD_VALUE
              master_item:
                key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 4 3]'
              tags:
                -
                  tag: 'qoe icmp ipv4 targets'
                  value: '{#ALIAS}'
                -
                  tag: 'qoe type'
                  value: icmp
                -
                  tag: 'qoe type by protocol'
                  value: 'icmp ipv4'
            -
              uuid: 723b836490bc4edfb0be48dc7e38b6d8
              name: 'Raw ICMP Monitoring Data IPv4: {#ALIAS} ({#HOST})'
              type: ZABBIX_ACTIVE
              key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 4 3]'
              history: '0'
              trends: '0'
              value_type: TEXT
              preprocessing:
                -
                  type: MATCHES_REGEX
                  parameters:
                    - '(([0-9a-fA-F.:]+)|[^\s]+) (([0-9a-fA-F.:]+)|[^\s]+) : xmt\/rcv\/%loss = ([0-9]+)\/([0-9]+)\/([0-9]+)%(, min\/avg\/max = (.*)\/(.*)\/(.*))?'
                  error_handler: CUSTOM_VALUE
                  error_handler_params: 'domain not resolved'
              tags:
                -
                  tag: 'raw data qoe'
                  value: 'icmp ipv4'
          graph_prototypes:
            -
              uuid: 66a71ddcbb4d42f98e1c7791ff1b3ced
              name: 'IPv4 ICMP Monitoring: {#HOST} (RTT and Packet Loss)'
              show_work_period: 'NO'
              graph_items:
                -
                  sortorder: '1'
                  drawtype: BOLD_LINE
                  color: '283593'
                  item:
                    host: 'Template QoE ICMP Targets'
                    key: 'average.rtt.v4[{#HOST}]'
                -
                  sortorder: '2'
                  color: F63100
                  yaxisside: RIGHT
                  item:
                    host: 'Template QoE ICMP Targets'
                    key: 'packet.loss.v4[{#HOST}]'
        -
          uuid: e5162780588244acb1ca821d4b80f495
          name: 'IPv6 ICMP Monitoring'
          type: ZABBIX_ACTIVE
          key: 'system.run[/opt/scripts-zabbix/qoe/lld-icmp-response.sh "{$HOST.IPV6}"]'
          delay: 1h
          item_prototypes:
            -
              uuid: bc4d1b74abad437095ce2119f7222e20
              name: 'Average RTT IPv6: {#ALIAS} ({#HOST})'
              type: DEPENDENT
              key: 'average.rtt.v6[{#HOST}]'
              delay: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                -
                  type: REGEX
                  parameters:
                    - '(.*), min\/avg\/max = (.*)\/(.*)\/(.*)'
                    - \3
                  error_handler: DISCARD_VALUE
              master_item:
                key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 6 3]'
              tags:
                -
                  tag: 'qoe icmp ipv6 targets'
                  value: '{#ALIAS}'
                -
                  tag: 'qoe type'
                  value: icmp
                -
                  tag: 'qoe type by protocol'
                  value: 'icmp ipv6'
            -
              uuid: 45afda0c986a49728f6dbf5925e1986c
              name: 'Address IPv6: {#ALIAS} ({#HOST})'
              type: DEPENDENT
              key: 'ip.address.v6[{#HOST}]'
              delay: '0'
              trends: '0'
              value_type: TEXT
              preprocessing:
                -
                  type: REGEX
                  parameters:
                    - '(([0-9a-fA-F.:]+)|[^\s]+) (([0-9a-fA-F.:]+)|[^\s]+) : xmt\/rcv\/%loss = ([0-9]+)\/([0-9]+)\/([0-9]+)%(, min\/avg\/max = (.*)\/(.*)\/(.*))?'
                    - \3
                  error_handler: CUSTOM_VALUE
                  error_handler_params: 'domain not resolved'
                -
                  type: RTRIM
                  parameters:
                    - )
                -
                  type: LTRIM
                  parameters:
                    - (
              master_item:
                key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 6 3]'
              tags:
                -
                  tag: 'qoe icmp ipv6 targets'
                  value: '{#ALIAS}'
                -
                  tag: 'qoe type'
                  value: icmp
                -
                  tag: 'qoe type by protocol'
                  value: 'icmp ipv6'
            -
              uuid: 11774c0b823b4097af4e6c3f5b3be950
              name: 'Packet loss IPv6: {#ALIAS} ({#HOST})'
              type: DEPENDENT
              key: 'packet.loss.v6[{#HOST}]'
              delay: '0'
              units: '%'
              preprocessing:
                -
                  type: REGEX
                  parameters:
                    - '(([0-9a-fA-F.:]+)|[^\s]+) (([0-9a-fA-F.:]+)|[^\s]+) : xmt\/rcv\/%loss = ([0-9]+)\/([0-9]+)\/([0-9]+)%(, min\/avg\/max = (.*)\/(.*)\/(.*))?'
                    - \7
                  error_handler: DISCARD_VALUE
              master_item:
                key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 6 3]'
              tags:
                -
                  tag: 'qoe icmp ipv6 targets'
                  value: '{#ALIAS}'
                -
                  tag: 'qoe type'
                  value: icmp
                -
                  tag: 'qoe type by protocol'
                  value: 'icmp ipv6'
            -
              uuid: 514c4b5a022345c39ee7ba3484800064
              name: 'Raw ICMP Monitoring Data IPv6: {#ALIAS} ({#HOST})'
              type: ZABBIX_ACTIVE
              key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 6 3]'
              history: '0'
              trends: '0'
              value_type: TEXT
              preprocessing:
                -
                  type: MATCHES_REGEX
                  parameters:
                    - '(([0-9a-fA-F.:]+)|[^\s]+) (([0-9a-fA-F.:]+)|[^\s]+) : xmt\/rcv\/%loss = ([0-9]+)\/([0-9]+)\/([0-9]+)%(, min\/avg\/max = (.*)\/(.*)\/(.*))?'
                  error_handler: CUSTOM_VALUE
                  error_handler_params: 'domain not resolved'
              tags:
                -
                  tag: 'raw data qoe'
                  value: 'icmp ipv6'
          graph_prototypes:
            -
              uuid: cadc866014f94a17bbc7675caba973b6
              name: 'IPv6 ICMP Monitoring: {#HOST} (RTT and Packet Loss)'
              show_work_period: 'NO'
              graph_items:
                -
                  sortorder: '1'
                  drawtype: BOLD_LINE
                  color: '283593'
                  item:
                    host: 'Template QoE ICMP Targets'
                    key: 'average.rtt.v6[{#HOST}]'
                -
                  sortorder: '2'
                  color: F63100
                  yaxisside: RIGHT
                  item:
                    host: 'Template QoE ICMP Targets'
                    key: 'packet.loss.v6[{#HOST}]'
      macros:
        -
          macro: '{$HOST.IPV4}'
          value: 'MS-OutLook|outlook.office.com'
        -
          macro: '{$HOST.IPV6}'
          value: 'MS-OutLook|outlook.office.com'
      dashboards:
        -
          uuid: cbbe5ec5e2e049acb2fc73a592a34f9f
          name: 'QoE ICMP Monitoring IPv4'
          pages:
            -
              widgets:
                -
                  type: GRAPH_PROTOTYPE
                  width: '23'
                  height: '16'
                  fields:
                    -
                      type: INTEGER
                      name: rows
                      value: '5'
                    -
                      type: GRAPH_PROTOTYPE
                      name: graphid
                      value:
                        host: 'Template QoE ICMP Targets'
                        name: 'IPv4 ICMP Monitoring: {#HOST} (RTT and Packet Loss)'
        -
          uuid: 7354f3615f4a4ea6bf0d05cb5d116a5c
          name: 'QoE ICMP Monitoring IPv6'
          pages:
            -
              widgets:
                -
                  type: GRAPH_PROTOTYPE
                  width: '23'
                  height: '18'
                  fields:
                    -
                      type: INTEGER
                      name: rows
                      value: '5'
                    -
                      type: GRAPH_PROTOTYPE
                      name: graphid
                      value:
                        host: 'Template QoE ICMP Targets'
                        name: 'IPv6 ICMP Monitoring: {#HOST} (RTT and Packet Loss)'
